apiVersion: apps/v1
kind: Deployment
metadata:
  name: docflow-templatemanage
  namespace: edoc2
  labels:
    app: docflow-templatemanage
    k8s-app: docflow-templatemanage
spec:
  selector:
    matchLabels:
      app: docflow-templatemanage
  replicas: 1
  revisionHistoryLimit: 5
  template:
    metadata:
      labels:
        app: docflow-templatemanage
    spec:
      hostname: docflow-templatemanage
      terminationGracePeriodSeconds: 30
      containers:
      - name: templatemanage
        image: registry.edoc2.com:5000/edoc2v5/templatemanage:docflow-v2.11.1
        imagePullPolicy: IfNotPresent
        envFrom:
        - configMapRef:
            name: docflow-envfile
        securityContext:
          privileged: true
        ports:
        - containerPort: 80
          name: docflowtem
          protocol: TCP
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: docflow-templatemanage
  name: docflow-templatemanage
  namespace: edoc2
spec:
  ports:
  - name: docflowtem
    port: 80
    targetPort: 80
    protocol: TCP
  selector:
    app: docflow-templatemanage
  type: ClusterIP
